/* BAG WITHOUT ITEM */
.shopping-bag-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
h2.empty-bag {
  font-family: Arial;
  font-size: 14px;
  font-weight: 600;
  text-align: center;
  padding: 0.2rem;
  margin-bottom: 1.5rem;
}

.empty-bag-img {
  max-width: 200px;
  height: auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.shopping-button {
  display: inline-block;
  padding: 1rem 2rem;
  margin-top: 3rem;
  border: none;
  border-radius: 6px;
  background: black;
  color: white;
  font-size: 1rem;
  text-decoration: none;   
  text-align: center;
}
/* BAG WITH ITEM */
.bag-items-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 20px;
}

.bag-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}
#bag-items {
  display: flex;
  flex-direction: column; 
  gap: 1rem; 
}

.bag-item img {
  width: 60px;
  height: auto;
  margin-left: 1rem;
}

.remove-btn {
  background: transparent;
  padding: 6px 12px;
  border-radius: 6px;
  cursor: pointer;
  margin-right: 1rem;
  margin-bottom: 3rem;
  border: none; 
}

.favorite-top {
  display: flex;
  align-content: flex-start;
}

.favorites-title {
  font-size: 14px;
  font-weight: 600;
  text-align: center;
  border-bottom: 2px solid #000000;
}


.bag-item {
  display: grid;
  grid-template-columns: 70px 1fr auto;
  align-items: center;
  gap: 1rem;
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}

.bag-item-details {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 4px;
}

.bag-item-meta {
  display: flex;
  align-items: center;
  gap: 6px;
}

.sale-price {
  color: red;
  font-weight: bold;
}

.old-price {
  text-decoration: line-through;
  color: #777;
}
